%define		tpl	minimalmobile
Summary:	Minimal Mobile template for DokuWiki
Summary(pl.UTF-8):	Szablon Minimal Mobile dla DokuWiki
Name:		dokuwiki-tpl-%{tpl}
Version:	20070712
Release:	1
License:	GPL
Group:		Applications/WWW
Source0:	http://www.commitment.es/minimalmobile/minimalmobile.zip
# Source0-md5:	4be0786c41b63d9988e51aa51d659670
URL:		http://www.dokuwiki.org/template:minimal_mobile
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	unzip
Requires:	dokuwiki
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		dokuconf	/etc/webapps/dokuwiki
%define		dokudir		/usr/share/dokuwiki
%define		tpldir		%{dokudir}/lib/tpl/%{tpl}

%description
A very minimal template, with almost no margins, modified from the
default template. The image displays a "narrow browser", equivalent
to what a user can see in a mobile (albeit with lots of scrolling).

Features:
- Moved top bar and breadcrumbs to bottom
- Made most things small, and removed most padding and extra stuff
- Still fully functional
- Not pretty on big screen, but usable.

%description -l pl.UTF-8
Naprawdę minimalistyczny szablon, prawie bez marginesów, przerobiony
z szablonu domyślnego. Wyświetla "wąską przeglądarkę", odpowiadającą
temu, co użytkownik może zobaczyć w telefonie (tyle że z dużą ilością
przewijania).

Cechy szablonu:
- ma górny pasek i przyciski nawigacyjne przeniesione na dół
- jest wykonany ze zmniejszoną większością elementów i usuniętą
  większością odstępów oraz elementów dodatkowych
- jest nadal w pełni funkcjonalny
- nie wygląda najpiękniej na dużym ekranie, ale jest używalny.

%prep
%setup -qc

cat > INSTALL <<'EOF'
To activate this template add the following to your conf/local.php file:
$conf['template']    = '%{tpl}';

Get rid of the TOC, that takes a lot of space in mobile screens.
$conf['toptoclevel'] = 0;  // Level starting with and below to include in AutoTOC (max. 5)
$conf['maxtoclevel'] = 0;  // Up to which level include into AutoTOC (max. 5)
EOF

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{tpldir}
cp -a minimalmobile/* $RPM_BUILD_ROOT%{tpldir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
# force css cache refresh
if [ -f %{dokuconf}/local.php ]; then
	touch %{dokuconf}/local.php
fi

%files
%defattr(644,root,root,755)
%doc INSTALL
%{tpldir}
%changelog
* Sat Dec 22 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/dokuwiki-tpl-minimalmobile.git;a=log;h=master

* Sun May 16 2010 sparky <sparky@pld-linux.org> aef0bc5
- BR: unzip

* Tue Jan 27 2009 Elan Ruusamäe <glen@pld-linux.org> 21431a4
- force css cache refresh after install

* Fri Sep 19 2008 duddits <duddits@pld-linux.org> d73b869
- URL fixed

* Thu May 08 2008 Elan Ruusamäe <glen@pld-linux.org> aff4836
- unify

* Thu May 08 2008 Elan Ruusamäe <glen@pld-linux.org> 4df2225
- unify; rel 1

* Fri Jan 11 2008 Jakub Bogusz <qboosh@pld-linux.org> 4104991
- pl

* Fri Sep 07 2007 Elan Ruusamäe <glen@pld-linux.org> ca86ac2
- unified

* Fri Sep 07 2007 Elan Ruusamäe <glen@pld-linux.org> 5703fa2
- new

